it.gov.taccuino

## Class RilevazioneType

- java.lang.Object
- - it.gov.taccuino.RilevazioneType

- Direct Known Subclasses:
    TaccuinoType.OsservazioniPersonali.ParametriOsservabili.Rilevazione

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public class RilevazioneType
      extends Object

  Classe Java per rilevazioneType complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="rilevazioneType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="dataRilevazione" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="dataAggiornamento" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="dataRegistrazione" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="modRilevazione">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="autonoma"/>
                   <enumeration value="SSR"/>
                   <enumeration value="altraStruttura"/>
                   <enumeration value="MMG"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XMLGregorianCalendar` | `dataAggiornamento`
    `protected XMLGregorianCalendar` | `dataRegistrazione`
    `protected XMLGregorianCalendar` | `dataRilevazione`
    `protected String` | `modRilevazione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RilevazioneType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLGregorianCalendar` | `getDataAggiornamento()` Recupera il valore della proprietà dataAggiornamento.
    `XMLGregorianCalendar` | `getDataRegistrazione()` Recupera il valore della proprietà dataRegistrazione.
    `XMLGregorianCalendar` | `getDataRilevazione()` Recupera il valore della proprietà dataRilevazione.
    `String` | `getModRilevazione()` Recupera il valore della proprietà modRilevazione.
    `void` | `setDataAggiornamento(XMLGregorianCalendar value)` Imposta il valore della proprietà dataAggiornamento.
    `void` | `setDataRegistrazione(XMLGregorianCalendar value)` Imposta il valore della proprietà dataRegistrazione.
    `void` | `setDataRilevazione(XMLGregorianCalendar value)` Imposta il valore della proprietà dataRilevazione.
    `void` | `setModRilevazione(String value)` Imposta il valore della proprietà modRilevazione.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataRilevazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataRilevazione

    - #### dataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataAggiornamento

    - #### dataRegistrazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataRegistrazione

    - #### modRilevazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String modRilevazione

  - ### Constructor Detail

    - #### RilevazioneType

          public RilevazioneType()

  - ### Method Detail

    - #### getDataRilevazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataRilevazione()

      Recupera il valore della proprietà dataRilevazione.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataRilevazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataRilevazione(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataRilevazione.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataAggiornamento()

      Recupera il valore della proprietà dataAggiornamento.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataAggiornamento(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataAggiornamento.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataRegistrazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataRegistrazione()

      Recupera il valore della proprietà dataRegistrazione.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataRegistrazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataRegistrazione(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataRegistrazione.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getModRilevazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getModRilevazione()

      Recupera il valore della proprietà modRilevazione.
      Returns:
        possible object is `String`

    - #### setModRilevazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setModRilevazione(String value)

      Imposta il valore della proprietà modRilevazione.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2024. All rights reserved.